# std::swap(std::pair)

From cppreference.com
< cpp‎ | utility‎ | pair

Defined in header `<utility>` |  |
template< class T1, class T2 > void swap( pair<T1,T2>& lhs, pair<T1,T2>& rhs ); |  | (since C++11)

Swaps the contents of `lhs` and `rhs`. Equivalent to lhs.swap(rhs).

### Parameters

lhs, rhs | - | pairs whose contents to swap

### Return value

(none)

### Exceptions

`noexcept` specification:
noexcept(noexcept(lhs.swap(rhs)))

### See also

swap | swaps the values of two objects (function template)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/utility/pair/swap2&oldid=91775"
Category:

- conditionally noexcept

Hidden categories:

- Pages with unreviewed conditional noexcept template
- Pages with unreviewed noexcept template